html, body, #root {
    height: 100%;
}

body {
    margin: 0;
}

fieldset, .opacity-slider {
    outline: 0 !important;
}

a, a:visited, a:hover, a:active {
    color: inherit;
}

.rstcustom__rowWrapper {
    display: flex;
    align-items: center;
}

.rstcustom__rowSearchMatch {
    box-shadow: none !important;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
}

.ReactVirtualized__Grid {
    outline: none;
}

/* .apexcharts-legend {
    height: calc(100% - 30px);
    box-shadow: 0px 2px 1px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);
    transition: box-shadow 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
} */

.position-right .apexcharts-legend-marker {
    top: 3px !important;
}

.position-bottom .apexcharts-legend-marker {
    top: 5px !important;
}

.position-bottom .apexcharts-legend-series {
    width: 100%;
}
.apexcharts-custom-tooltip {
    /* padding: 8px; */
    font-family: "Roboto", "Helvetica", "Arial";
} 

.leaflet-popup-content {
    display: inline-block !important;
    width: fit-content !important;
    height: fit-content !important;
    min-width: 200px !important;
}

.leaflet-popup-content h3 {
    margin-top: 3px;
    margin-bottom: 5px;
}

.leaflet-popup-content-image {
    width: 100%;
}

.leaflet-control-layers span {
    font-family: "Roboto", "Helvetica", "Arial";
}

.leaflet-control-custom-checkbox-buffer-container span {
    margin-left: 3px;
}

.leaflet-popup-scrolled {
    border-top: none !important;
    border-bottom: none !important;
}

.leaflet-control-layers-list {
    max-width: 270px;
}

@media screen and (min-width: 1440px) {
    .leaflet-control-layers {
        font-size: 14px;
    }
    .leaflet-control-layers-selector {
        transform: scale(1.5);
        margin: 6px;
    }
    .leaflet-control-layers-list {
        /* min-width: 450px; */
        max-width: 450px;
    }
}

@media screen and (max-width: 450px) {
    .leaflet-bottom .leaflet-control-scale {
        margin-bottom: 36px;
    }
    .leaflet-popup-content h3, .leaflet-popup-content p {
        font-size: 0.75rem;
    }
    .leaflet-popup-content-image {
        width: auto;
        max-height: 60px;
    }
}

.leaflet-usermarker-small i.pulse {
    top: -12px !important;
    left: -12px !important;
}

.leaflet-popup-content {
    font-size: 14px;
    font-family: 'Roboto', sans-serif;
}


.marker-cluster-small {
    background-color: hsla(100, 80%, 51%, 0.7)  !important;
    border: solid 2px hsl(100, 90%, 25%, .95);
}

.marker-cluster-medium {
    background-color: hsla(48, 100%, 49%, 0.7) !important;
    border: solid 2px hsl(48, 100%, 24.5%, .95) ;  
}

.marker-cluster-large {
    background-color: hsla(24, 100%, 52%, 0.7) !important;
    border: solid 2px hsl(24, 100%, 26%, .95);
}

.marker-cluster-small div {
    background-color: hsl(100, 60%, 95%, .9) !important;
    font-weight: bold !important;
}

.marker-cluster-medium div {
    background-color: hsl(48, 90%, 95%, .9) !important;  
    font-weight: bold !important;
    
}

.marker-cluster-large div {
    background-color: hsl(24, 83%, 95%, .9) !important;
    font-weight: bold !important;
}


.leaflet-popup-scrolled {
    border: 0px;
}

.leaflet-control-zoominfo-info {
    margin-left: -11px !important;
    width: 18px !important;
    height: 18px !important;
    padding-top: 0px !important;
}

.labelMarker {
    color: black !important;
    font-size: 1.25em;
    border: none !important;
    box-shadow: none !important;
    background-color: rgba(255,255,255, .75) !important;
    border-radius: 1rem !important;
    padding-left: 0.5rem !important;
    padding-right: 0.5rem !important;
    padding-top: 0 !important;
    padding-bottom: 0 !important;
    margin-top: 0.25rem !important;
}

.labelMarker::before {
    display: none;
}

.skipLink:not(:focus) {
    clip: rect(0,0,0,0);
    border-width: 0;
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    white-space: nowrap;
    width: 1px;
  }
  
  .skipLink:focus {
    color: white;
    font-size: 1.5rem;
    padding: 0.5rem;
  }